class NCMapData:
	def __init__(self, oid, x, y, d=0):
		self.oid = oid
		self.pos = (x,y)
		self.dist = d
	
	def __repr__(self):
		return str(vars(self))
		
	def GetOID(self):
		return self.oid
		
	def GetSharedOID(self):
		return self.data['shared_index']
		
	def GetData(self):
		return self.data
		
	def GetPos(self):
		return self.pos
		
	def SetPos(self, x, y):
		self.pos = (x,y)
		
	def GetDist(self):
		return self.dist

	def SetDist(self, d):
		self.dist = d
		
	def GetType(self):
		return self.data['type']
		
	def SetData(self, data):
		self.data = data